X
點擊此處開啟此網站的行動版。

技術支援討論區

firefox won't open and displays error "/usr/lib64/firefox/firefox: symbol lookup error: /usr/lib64/firefox/libxul.so: undefined symbol : gdk_window_get_visual

已張貼

Updated Firefox to 31.2 on RHEL6 - Red Hat Enterprise Linux Server release 6.0 (Santiago): [RHEL6-1 ~]$ rpm -qa firefox xulrunner nspr firefox-31.2.0-3.el6_6.x86_64 nspr-4.10.6-1.el6_5.x86_64 xulrunner-17.0.10-1.el6_4.x86_64

But when trying to launch firefox the following error is displayed: [RHEL6-1 ~]$ firefox /usr/lib64/firefox/firefox: symbol lookup error: /usr/lib64/firefox/libxul.so: undefined symbol: gdk_window_get_visual

I've tried removing and installing and always seem to get this error.

Any help is much appreciated!

Updated Firefox to 31.2 on RHEL6 - Red Hat Enterprise Linux Server release 6.0 (Santiago): [RHEL6-1 ~]$ rpm -qa firefox xulrunner nspr firefox-31.2.0-3.el6_6.x86_64 nspr-4.10.6-1.el6_5.x86_64 xulrunner-17.0.10-1.el6_4.x86_64 But when trying to launch firefox the following error is displayed: [RHEL6-1 ~]$ firefox /usr/lib64/firefox/firefox: symbol lookup error: /usr/lib64/firefox/libxul.so: undefined symbol: gdk_window_get_visual I've tried removing and installing and always seem to get this error. Any help is much appreciated!

額外的系統細節

應用程式

  • User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.124 Safari/537.36

更多資訊

jecampo 0 個解決方法 1 個答案

I have the exact same problem. Help Please

I have the exact same problem. Help Please
cor-el
  • Top 10 Contributor
  • Moderator
16606 個解決方法 149960 個答案

Does this also happen if you install the 32 bit Firefox version?

You can find the full version of the current Firefox 31.2.0 release in all languages and for all Operating Systems here:

Does this also happen if you install the 32 bit Firefox version? You can find the full version of the current Firefox 31.2.0 release in all languages and for all Operating Systems here: *https://www.mozilla.org/en-US/firefox/organizations/all/ *https://www.mozilla.org/en-US/firefox/31.2.0/releasenotes/ *https://www.mozilla.org/en-US/firefox/organizations/system-requirements/
netbf01 0 個解決方法 2 個答案

有幫助的回覆

Same problem under EL 6.5 32-bit version of the OS.

OS: Oracle Linux release 6.5 (Santiago) Installed: nspr-4.10.6-1.el6_5.i686 Installed: xulrunner-17.0.10-1.0.1.el6_4.i686 Installed: firefox-31.2.0-3.0.1.el6_6.i686

Had to revert back to firefox-31.1.0-5.0.1.el6_5.i686

Same problem under EL 6.5 32-bit version of the OS. OS: Oracle Linux release 6.5 (Santiago) Installed: nspr-4.10.6-1.el6_5.i686 Installed: xulrunner-17.0.10-1.0.1.el6_4.i686 Installed: firefox-31.2.0-3.0.1.el6_6.i686 Had to revert back to firefox-31.1.0-5.0.1.el6_5.i686
James
  • Top 25 Contributor
  • Moderator
1492 個解決方法 10410 個答案

Cor-el was referring to the builds from https://www.mozilla.org/en-US/firefox/organizations/all/ and not the package builds from RH.

Cor-el was referring to the builds from https://www.mozilla.org/en-US/firefox/organizations/all/ and not the package builds from RH.
netbf01 0 個解決方法 2 個答案

Yes, thank you. firefox from https://www.mozilla.org/en-US/firefox/organizations/all works fine.

Yes, thank you. firefox from https://www.mozilla.org/en-US/firefox/organizations/all works fine.
rickard.von.essen 0 個解決方法 1 個答案

有幫助的回覆

RedHat provided firefox works if you update GTK2

Run:

# yum update gtk2*

See (login required): https://access.redhat.com/solutions/1239853

RedHat provided firefox works if you update GTK2 Run: # yum update gtk2* See (login required): https://access.redhat.com/solutions/1239853